#ifndef PROCESS_H
#define PROCESS_H

#include "PageTable.h"

class Process {
    public:
        PageTable *pageTable;
        unsigned int executionTime;
        Process(PageTable *pageTable, unsigned int executionTime);
        [[nodiscard]] bool is_finished(unsigned int elapsedTime) const;
};



#endif //PROCESS_H
